#include<bits/stdc++.h>

using namespace std;

int main(){
    int n, k;
    cin>>n>>k;
    vector<int> v(n);
    for(int i = 0;i<n;i++){
        cin>>v[i];
    }
    for(int i = 0;i<n;i++){
        if(v[i]==k){
            if(i==n-1){
                cout<<v[0]<<endl;
                return 0;
            } else{
                cout<<v[i+1]<<endl;
                return 0;
            }
        }
    }
    return 0;
}